Debian Bug report logs - #147623
[wishlist for V2]<enumlist> with choice of indexing

version graph

Package: debiandoc-sgml; Maintainer for debiandoc-sgml is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml is src:debiandoc-sgml.

Reported by: Osamu Aoki <debian@aokiconsulting.com>

Date: Tue, 21 May 2002 07:33:07 UTC

Severity: wishlist

Found in version 1.1.68

Fixed in version debiandoc-sgml/1.1.77

Done: Ardo van Rangelrooij <ardo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org:
Bug#147623; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <debian@aokiconsulting.com>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <debian@aokiconsulting.com>
To: submit@bugs.debian.org
Subject: [wishlist for V2]<enumlist> with choice of indexing
Date: Tue, 21 May 2002 00:30:02 -0700
Package: debiandoc-sgml
Version: 1.1.68
Severity: wishlist

Problem: Indexing always start 1.  No way to start otherwise.
Requested feature: Start with any number or other indexing.

<enumlist start="1">   1, 2, 3, 4, 5, 6, 7, 8, 9 ...
<enumlist start="5">   5, 6, 7, 8, 9 ...
<enumlist start="a">   a, b, c, d, e, f, g, h, i, ...
<enumlist start="A">   A, B, C, D, E, F, ... , Z, AA, AB, ... 
And something like
<enumlist start="0i">  Roman numerals: i, ii, iii, iv, ...

Side note: Logical structuring of list may be doable:
    ...   Now I know why you have <list compact> etc.
Current implimentation of HTML code for normal list items are:

<ul>
<li>
List item 1
</li>
</ul>
<ul>
<li>
List item 2
</li>
</ul>

This shall be
<ul>
<li>
List item 1
<br>&nbsp;
</li>
<li>
List item 2
</li>
</ul>

Use of nonbreakable space ensures spacing.  This can be after </li>.
This is not important but a thought :)
-- 
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+  Osamu Aoki <debian@aokiconsulting.com> @ Cupertino, CA USA         +




Reply sent to Ardo van Rangelrooij <ardo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Osamu Aoki <debian@aokiconsulting.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 147623-close@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: 147623-close@bugs.debian.org
Subject: Bug#147623: fixed in debiandoc-sgml 1.1.77
Date: Sat, 29 Mar 2003 00:47:06 -0500
We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml, which is due to be installed in the Debian FTP archive:

debiandoc-sgml_1.1.77.dsc
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.77.dsc
debiandoc-sgml_1.1.77.tar.gz
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.77.tar.gz
debiandoc-sgml_1.1.77_all.deb
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.77_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 147623@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ardo van Rangelrooij <ardo@debian.org> (supplier of updated debiandoc-sgml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Fri, 28 Mar 2003 23:36:52 -0600
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.1.77
Distribution: unstable
Urgency: low
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Changed-By: Ardo van Rangelrooij <ardo@debian.org>
Description: 
 debiandoc-sgml - DebianDoc SGML DTD and formatting tools
Closes: 145999 147623
Changes: 
 debiandoc-sgml (1.1.77) unstable; urgency=low
 .
   * Added support for numbering style indication to <enumerate>
     (closes: Bug#145999)
   * Added support for numbering continuation indication to <enumerate>
     (closes: Bug#147623)
   * debian/control: added dependency on 'libroman-perl'
Files: 
 a4fa1be8e0a853be3798bfdedcc12fb8 629 text optional debiandoc-sgml_1.1.77.dsc
 c888123eb86563254954fd0983b7dbed 73255 text optional debiandoc-sgml_1.1.77.tar.gz
 6bd2535effee706fce85d7c643627d5a 71752 text optional debiandoc-sgml_1.1.77_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iQCVAwUBPoUxFT6XMRfcxSjpAQGhJQQA1F4S9rnRgJBdDibrvxYSQzYWLzbtHAW5
3mTYq0mtRkWGwEEDi/I/yIpq4fEDsVAOoQYrlorwyzxrBoTun7N4N+Wp2x8vSWQ9
z/8LM8ASCUNiEzQhYsd4g2e7njsxMDIDQyJK20eLEyUl0fm9to5FZTkUphRsR14m
UMjh/FN0kzY=
=q4fC
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:38:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.